<?
	$id = $_SESSION['id'];
	$q = mysql_query("select pers_codigo as codigo from persona_clave where pers_codigo=".$_POST['persona']." and insti_codigo=".$id, $link);
	if (mysql_num_rows($q) < 1) {
		mysql_query("insert into persona_clave(insti_codigo, pers_codigo, rol_codigo) values ($id, ".$_POST['persona'].", ".$_POST['rol'].")");
	} else {
		mysql_query("update persona_clave set insti_codigo=".$id.", pers_codigo=".$_POST['persona'].", rol_codigo=$rol where pers_codigo=".$_POST['persona']." and insti_codigo=".$id, $link);
	}
	if (isset($aceptaro)) {
		header("location:index3-2.htm");
	} else if(isset($aceptar)) {
		header("location:index3.htm");
	}
?>